Skip to content

Update Application.

POST
/api/shape/dip/namespaces/system/application
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/application \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example" }'

Update an application’s information.

Examples of this operation.

Media typeapplication/json
UpdateApplicationRequest

Any payload to be passed to the Update Application API.

object
body
Body

Data to be send as the body of request. Note that multipart/formdata is not supported. Body described in https://git.shpsec.com/shape-recognize/device-ID-management/blob/master/deployment/openapi/openapi-prod.yaml.

string format: byte
<= 1024 characters
Examplegenerated
{
"body": "example"
}

A successful response.

Media typeapplication/json
UpdateApplicationResponse

Any payload to be returned by Update Application API.

object
body
Body

Data received from the downstream server. Body is JSON as described in openapi: https://git.shpsec.com/shape-recognize/device-ID-management/blob/master/deployment/openapi/openapi-prod.yaml.

string format: byte
<= 1024 characters
Examplegenerated
{
"body": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example